## tellico 1.3

=== doc/CMakeLists.txt ===
ADD_SUBDIRECTORY( en ) 
ADD_SUBDIRECTORY( fr ) 



########### install files ###############




#original Makefile.am contents follow:

######## kdevelop will overwrite this part!!! (begin)##########
#
#SUBDIRS = en fr
#
######## kdevelop will overwrite this part!!! (end)############

=== po/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############




#original Makefile.am contents follow:

######## kdevelop will overwrite this part!!! (begin)##########
#
#
#EXTRA_DIST = tellico.pot README
#
######## kdevelop will overwrite this part!!! (end)############
#POFILES = AUTO
#
#CLEANFILES = *~

=== doc/en/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############




#original Makefile.am contents follow:

######## kdevelop will overwrite this part!!! (begin)##########
#
#
#EXTRA_DIST = \
#advanced.docbook \
#configuration.docbook \
#details.docbook \
#faqs.docbook \
#fundamentals.docbook \
#hacking.docbook \
#importing-exporting.docbook \
#index.docbook \
#menus.docbook \
#freebsd-doc-license.html \
#entry-editor1.png \
#entry-editor3.png \
#entry-editor4.png \
#entry-editor5.png \
#fields-dialog.png \
#general-options.png \
#main-window.png \
#print-options.png \
#template-options.png \
#source-options.png \
#filter-dialog.png \
#csv-dialog.png \
#fetch-dialog.png \
#export-options.png \
#export-html.png \
#export-csv.png \
#export-pdb.png \
#export-bibtex.png \
#amazon-options.png \
#z3950-options.png \
#externalexec-options.png \
#report-dialog.png \
#loan-dialog.png \
#loan-view.png \
#filter-view.png \
#openoffice-dialog.png \
#sru-options.png \
#imdb-options.png
#
#
######## kdevelop will overwrite this part!!! (end)############
#
#KDE_LANG = en
#KDE_DOCS = tellico
#
#CLEANFILES = *~

## tellico 0.13.1-1

=== debian/changelog ===
tellico (0.13.1-1) unstable; urgency=low

  * New upstream release. Mainly bugfixes and translation updates.

 -- Regis Boudin <regis@boudin.name>  Sun, 12 Dec 2004 23:23:20 +0000

tellico (0.13-1) unstable; urgency=low

  * New upstream release.
  * Use dh_compat 4. Consequently, removed hack to fix absolute link. 
  * Updated pixmap icon to use the new one.
  * Modified fix for rpath problem by patching src/Makefile.in instead of
    configure. Removed the now useless "touch config.h.in" trick.
  * Updated package description. Thanks to Matthieu Delehaye.
  * Updated build dependencies. Removed libapanoia0-dev, added libyaz-dev.

 -- Regis Boudin <regis@boudin.name>  Thu,  2 Dec 2004 18:41:54 +0000

tellico (0.12-1) unstable; urgency=medium

  * New upstream release and new package. This is in fact Bookcase 0.11
    rebranded as Tellico because of a trademark issue.
  * For smooth transition, provide an empty bookcase package depending on
    tellico.
  * Build depend on kdemultimedia-dev (>> 4:3.2.2-1). This specific version of
    the package has a bug which prevent tellico from building.
  * Bookcase 0.11 has been in sid for ~10 days, so it is already tested. Set
    the priority to medium to increase the chances of getting this package in
    Sarge if KDE 3.3 is accepted.
  * Move tellico.desktop to /usr/share/applications instead of
    /usr/share/applnk/Applications to comply with freedesktop.org standards.

 -- Regis Boudin <regis@boudin.name>  Wed, 22 Sep 2004 19:08:40 +0100

bookcase (0.11-1) unstable; urgency=low

  * New upstream release (Closes: #269903)
    -Ability to import Audio CD data from Alexandria
    -Ability to import Audio files metadata
  * To enable previously listed new features, updated Build-Depends :
    -Added kdemultidmedia-dev
    -Added libcdparanoia0-dev
    -Added libtag1-dev
  * Previous release (0.10) fixed bug when building with gcc-3.4
    (Closes: #258542)
  * debian/bookcase.xpm: only use 24 colors, lintian complained about it.
  * touch config.h.in at the beginning of debian/rules. It updates the
    date of the file and prevent Makefile from calling autoheader because
    configure was patched.

 -- Regis Boudin <regis@boudin.name>  Sun,  5 Sep 2004 00:23:30 +0100

bookcase (0.9.3-1) unstable; urgency=high

  * New upstream release. It solves a license issue, priority set to high.
    (Closes: #252740)
  * New maintainer mail address
  * Do not gzip docbook files for khelpcenter (Closes: #248983)
  * Remove useless mention of info file from manpage (thanks to Matthieu
    Delahaye)

 -- Regis Boudin <regis@boudin.name>  Thu,  3 Jun 2004 23:35:01 +0100

bookcase (0.9.1-1) unstable; urgency=low

  * New upstream release (Closes: #213896, #21498)

 -- Regis Boudin <boudinr@esiee.fr>  Wed,  5 May 2004 20:40:40 +0100

bookcase (0.8.5-1) unstable; urgency=low

  * New upstream release (Closes: #236020)

 -- Regis Boudin <boudinr@esiee.fr>  Thu, 11 Mar 2004 10:20:47 +0000

bookcase (0.8.4-1) unstable; urgency=low

  * Thanks to Matthieu Delahaye for sponsoring this package
  * New upstream release (Closes: #230380, #213901, #213898, #211183)
  * Description update (Closes: #213327)

 -- Regis Boudin <boudinr@esiee.fr>  Sun, 22 Feb 2004 20:18:17 +0000

bookcase (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Regis Boudin <boudinr@esiee.fr>  Fri,  6 Feb 2004 10:19:37 +0000

bookcase (0.8-1) unstable; urgency=low

  * New upstream release

 -- Regis Boudin <boudinr@esiee.fr>  Thu, 29 Jan 2004 21:40:57 +0000

bookcase (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Packaging corrections thanks to Joerg
  * Copyright file update

 -- Regis Boudin <boudinr@esiee.fr>  Wed, 26 Nov 2003 20:52:10 +0000

bookcase (0.6.6-3) unstable; urgency=low

  * Correct dependencies (Closes: #211162, #211173)
  * Many thanks to Antonin Kral for sponsoring the package

 -- Regis Boudin <boudinr@esiee.fr>  Tue, 16 Sep 2003 11:23:45 +0100

bookcase (0.6.6-2) unstable; urgency=low

  * New manpage
  * Fix rpath compilation
  * Fix typo errors

 -- Regis Boudin <boudinr@esiee.fr>  Tue,  2 Sep 2003 13:39:27 +0100

bookcase (0.6.6-1) unstable; urgency=low

  * New upstream release

 -- Regis Boudin <boudinr@esiee.fr>  Mon, 18 Aug 2003 11:13:37 +0100

bookcase (0.6.5-1) unstable; urgency=low

  * New upstream release

 -- Regis Boudin <boudinr@esiee.fr>  Tue, 22 Jul 2003 09:23:09 +0100

bookcase (0.6.4-2) unstable; urgency=low

  * Fix translation problem

 -- Regis Boudin <boudinr@esiee.fr>  Thu,  3 Jul 2003 22:32:16 +0100

bookcase (0.6.4-1) unstable; urgency=low

  * New upstream release

 -- Regis Boudin <boudinr@esiee.fr>  Thu, 26 Jun 2003 14:39:59 +0100

bookcase (0.6.3-1) unstable; urgency=low

  * Include patch for KDE 3.0
  * New upstream release

 -- Regis Boudin <boudinr@esiee.fr>  Sat, 31 May 2003 22:54:00 +0100

bookcase (0.6.2-1) unstable; urgency=low

  * Initial Release.

 -- Regis Boudin <boudinr@esiee.fr>  Mon, 12 May 2003 22:50:38 +0100

=== debian/control ===
Source: tellico
Section: kde
Priority: optional
Maintainer: Regis Boudin <regis@boudin.name>
Build-Depends: debhelper (>> 4.0.0), kdelibs4-dev, kdemultimedia-dev (>> 4:3.2.2-1), libqt3-mt-dev, libxml2-dev, libxslt1-dev, xlibs-dev, zlib1g-dev, libtag1-dev, libyaz-dev, libwrap0-dev
Standards-Version: 3.6.1

Package: tellico
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: bookcase (<< 0.12)
Description: A collection manager for books, videos, music
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.

Package: bookcase
Architecture: all
Depends: tellico
Description: A collection manager for books, videos, music (dummy package)
 This package is a dummy one to provide a smooth transition to Tellico, which
 is the new name of Bookcase. You should be able to remove this package safely.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir

	# this makes the file more recent than configure and avoid make calling
	# autoheader
	
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --disable-debug --enable-final --disable-rpath kde_htmldir=\$${prefix}/share/doc/kde/HTML




build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
#	dh_installdirs

	# Add here commands to install the package into debian/tellico.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tellico


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_fixperms -i
	dh_compress -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples
	dh_install debian/tellico.xpm usr/share/pixmaps
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/tellico.1x
	dh_link
	dh_strip
	dh_compress -a -Xkde
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tellico 1.3.3

=== doc/CMakeLists.txt ===
ADD_SUBDIRECTORY( en ) 
ADD_SUBDIRECTORY( fr )

=== po/CMakeLists.txt ===
file(GLOB _po_files *.po)

#GETTEXT_CREATE_TRANSLATIONS(tellico.pot ALL ${_po_files} )

## tellico 2.1.1

=== CMakeLists.txt ===
project(Tellico)
set(TELLICO_VERSION "2.1.1")

cmake_minimum_required(VERSION 2.6.2)

# http://www.cmake.org/Wiki/CMake_Useful_Variables
# automatically add CMAKE_CURRENT_SOURCE_DIR and CMAKE_CURRENT_BINARY_DIR
# to the include directories in every processed CMakeLists.txt
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
                      ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

############# Options #################

option(ENABLE_AMAZON "Enable Amazon.com searching" TRUE)
option(ENABLE_IMDB "Enable IMDb searching" TRUE)
option(ENABLE_CDTEXT "Enable cdtext" TRUE)
option(ENABLE_WEBCAM "Enable support for webcams" FALSE)

include(CheckTypeSize)
check_type_size("unsigned char" SIZEOF_UNSIGNED_CHAR)
check_type_size("unsigned short" SIZEOF_UNSIGNED_SHORT)
check_type_size("unsigned long" SIZEOF_UNSIGNED_LONG)
check_type_size("unsigned int" SIZEOF_UNSIGNED_INT)
check_type_size("short" SIZEOF_SHORT)
check_type_size("long" SIZEOF_LONG)
check_type_size("int" SIZEOF_INT)

include(CheckSymbolExists)
check_symbol_exists(strlwr "string.h" HAVE_STRLWR)
check_symbol_exists(strupr "string.h" HAVE_STRUPR)

find_package(KDE4 4.2.0 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroBoolTo01)
include(MacroLogFeature)

find_package(Gettext REQUIRED)
find_package(QImageBlitz REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(LibXslt REQUIRED)

# The taglib cmake script is broken, this works around the issue
set(TAGLIB_INCLUDES)

macro_optional_find_package(Kabc)
macro_log_feature(KABC_FOUND "kabc" "Support for reading address book" "http://pim.kde.org" FALSE "4.2.0" "")

macro_optional_find_package(Kcal)
macro_log_feature(KCAL_FOUND "kcal" "Support for adding loans to calendar" "http://pim.kde.org" FALSE "4.2.0" "")
# for now, kcal doesn't compile
set(KCAL_FOUND FALSE)

macro_optional_find_package(Kcddb)
macro_log_feature(KCDDB_FOUND "libkcddb" "Support for CDDB searches" "http://multimedia.kde.org" FALSE "4.2.0" "")

macro_optional_find_package(Taglib)
macro_log_feature(TAGLIB_FOUND "taglib" "Support for reading multimedia files" "http://www.freshmeat.net/projects/taglib" FALSE "" "")

macro_optional_find_package(Yaz 2.0)
macro_log_feature(YAZ_FOUND "libyaz" "Support for searching z39.50 databases" "http://www.indexdata.dk/yaz/" FALSE "2.0" "")

macro_optional_find_package(PopplerQt4)
macro_log_feature(POPPLER_QT4_FOUND "libpoppler" "Support for reading PDF files" "http://poppler.freedesktop.org/" FALSE "" "")
if(POPPLER_QT4_FOUND)
    add_definitions(${POPPLER_QT4_DEFINITIONS})
    include_directories(${POPPLER_QT4_INCLUDE_DIR})
endif(POPPLER_QT4_FOUND)

macro_optional_find_package(KSane)
macro_log_feature(KSANE_FOUND "libksane" "Support for scanning images" "http://www.kde.org/" FALSE "4.2.0" "")
if(KSANE_FOUND)
    include_directories(${KSANE_INCLUDE_DIR})
endif(KSANE_FOUND)

macro_optional_find_package(Exempi 2.0)
macro_log_feature(LIBEXEMPI_FOUND "libexempi" "Support for reading PDF/XMP metadata" "http://libopenraw.freedesktop.org/wiki/Exempi" FALSE "2.0" "")
if(LIBEXEMPI_FOUND)
    add_definitions(${LIBEXEMPI_CFLAGS})
    include_directories(${LIBEXEMPI_INCLUDE_DIR})
endif(LIBEXEMPI_FOUND)

# once we make webcam support enabled by default, we can remove this logic
if(ENABLE_WEBCAM)
    macro_optional_find_package(V4l)
    macro_log_feature(LIBV4L_FOUND "libv4l" "Support for barcode scanning with a webcam" "http://hansdegoede.livejournal.com/3636.html" FALSE "" "Required for using a webcam")
    if(LIBV4L_FOUND)
        include_directories(${LIBV4L_INCLUDE_DIR})
    endif(LIBV4L_FOUND)
endif(ENABLE_WEBCAM)

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -Wextra -fno-check-new -Woverloaded-virtual")
endif(CMAKE_COMPILER_IS_GNUCXX)

add_definitions(${QT_DEFINITIONS}
                ${KDE4_DEFINITIONS}
                ${TAGLIB_CFLAGS}
                ${YAZ_CFLAGS})
add_definitions(-DQT_STL -DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_STL -DQT3_SUPPORT)

include_directories(${KDE4_INCLUDES}
                    ${QT_INCLUDES}
                    ${LIBXML2_INCLUDE_DIR}
                    ${LIBXSLT_INCLUDE_DIR}
                    ${TAGLIB_INCLUDES}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${Tellico_SOURCE_DIR}/src/core
                    ${Tellico_SOURCE_DIR}/src/3rdparty)

# is there a better way to disable qt3support library?
get_directory_property(include_dirs INCLUDE_DIRECTORIES)
if(QT_QT3SUPPORT_FOUND)
  string(REPLACE ${QT_QT3SUPPORT_INCLUDE_DIR} "" include_dirs "${include_dirs}")
endif(QT_QT3SUPPORT_FOUND)
set_directory_properties(PROPERTIES INCLUDE_DIRECTORIES "${include_dirs}")

set(TELLICO_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/tellico)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(xslt)

if(NOT CMAKE_SYSTEM_NAME MATCHES "FreeBSD|Linux|kFreeBSD|NetBSD|OpenBSD|SunOS|Darwin")
    message("WARNING: CDDB Lookup is not supported on your platform")
endif(NOT CMAKE_SYSTEM_NAME MATCHES "FreeBSD|Linux|kFreeBSD|NetBSD|OpenBSD|SunOS|Darwin")

if(ENABLE_WEBCAM AND NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
    message("WARNING: Webcam support is not available on your platform")
    set( ENABLE_WEBCAM FALSE )
endif(ENABLE_WEBCAM AND NOT CMAKE_SYSTEM_NAME MATCHES "Linux")

########## Wrap tests results around the tests done within the source

macro_bool_to_01(TAGLIB_FOUND HAVE_TAGLIB)
macro_bool_to_01(POPPLER_QT4_FOUND HAVE_POPPLER)
macro_bool_to_01(LIBEXEMPI_FOUND HAVE_EXEMPI)
macro_bool_to_01(YAZ_FOUND HAVE_YAZ)
macro_bool_to_01(KSANE_FOUND HAVE_KSANE)
macro_bool_to_01(KCDDB_FOUND HAVE_KCDDB)
macro_bool_to_01(KABC_FOUND HAVE_KABC)
macro_bool_to_01(KCAL_FOUND HAVE_KCAL)
macro_bool_to_01(LIBV4L_FOUND HAVE_V4L)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

########### install files ###############

install(FILES tellico.dtd tellico.tips DESTINATION ${TELLICO_DATA_INSTALL_DIR})
install(FILES tellico.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES tellico.xml DESTINATION  ${XDG_MIME_INSTALL_DIR})
install(FILES x-tellico.desktop DESTINATION ${MIME_INSTALL_DIR}/application)

if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    macro_display_feature_log()
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )
add_subdirectory( doc )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( fr_tellico/tellico )
add_subdirectory( sv_tellico/tellico )
add_subdirectory( uk_tellico/tellico )

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( lt )
add_subdirectory( ms )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY( core )
ADD_SUBDIRECTORY( gui )
ADD_SUBDIRECTORY( collections )
ADD_SUBDIRECTORY( images )
ADD_SUBDIRECTORY( translators )
ADD_SUBDIRECTORY( fetch )
ADD_SUBDIRECTORY( commands )
ADD_SUBDIRECTORY( cite )
ADD_SUBDIRECTORY( newstuff )
ADD_SUBDIRECTORY( models )
ADD_SUBDIRECTORY( utils )
ADD_SUBDIRECTORY( 3rdparty )

IF( KDE4_BUILD_TESTS )
  ADD_SUBDIRECTORY( tests )
ENDIF( KDE4_BUILD_TESTS )

IF( ENABLE_WEBCAM )
  ADD_SUBDIRECTORY( barcode )
ENDIF( ENABLE_WEBCAM )

########### next target ###############

SET(tellico_SRCS
   borrower.cpp
   borrowerdialog.cpp
   collection.cpp
   collectionfactory.cpp
   collectionfieldsdialog.cpp
   configdialog.cpp
   controller.cpp
   detailedlistview.cpp
   derivedvalue.cpp
   document.cpp
   entry.cpp
   entryeditdialog.cpp
   entrygroup.cpp
   entryiconview.cpp
   entrycomparison.cpp
   entrymatchdialog.cpp
   entrymerger.cpp
   entryupdatejob.cpp
   entryupdater.cpp
   entryview.cpp
   exportdialog.cpp
   fetchdialog.cpp
   fetcherconfigdialog.cpp
   field.cpp
   fieldcompletion.cpp
   fieldformat.cpp
   filter.cpp
   filterdialog.cpp
   filterview.cpp
   groupview.cpp
   importdialog.cpp
   loandialog.cpp
   loanview.cpp
   main.cpp
   mainwindow.cpp
   progressmanager.cpp
   reportdialog.cpp
   tellico_kernel.cpp
   tellico_utils.cpp
   viewstack.cpp
   )

KDE4_ADD_EXECUTABLE(tellico ${tellico_SRCS})

TARGET_LINK_LIBRARIES(tellico
    core
    cite
    fetch
    collections
    images
    translators
    gui
    commands
    models
    utils
    newstuff
    pilotdb
    rtf2html
    btparse
    csv
    )

TARGET_LINK_LIBRARIES(tellico
    ${QT_AND_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KHTML_LIBS}
    ${KDE4_KNEWSTUFF2_LIBS}
    ${KDE4_SOLID_LIBS}
    ${QIMAGEBLITZ_LIBRARIES}
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${LIBEXSLT_LIBRARIES}
    )

IF( KABC_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${KABC_LIBRARIES})
ENDIF( KABC_FOUND )

IF( KCAL_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${KCAL_LIBRARIES})
ENDIF( KCAL_FOUND )

IF( KCDDB_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${KCDDB_LIBRARIES})
ENDIF( KCDDB_FOUND)

IF( POPPLER_QT4_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${POPPLER_QT4_LIBRARIES})
ENDIF( POPPLER_QT4_FOUND )

IF( LIBEXEMPI_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${LIBEXEMPI_LIBRARIES})
ENDIF( LIBEXEMPI_FOUND )

IF( TAGLIB_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${TAGLIB_LIBRARIES})
ENDIF( TAGLIB_FOUND )

IF( YAZ_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${YAZ_LIBRARIES})
ENDIF( YAZ_FOUND )

IF( ENABLE_WEBCAM )
  TARGET_LINK_LIBRARIES(tellico barcode ${LIBV4L_LIBRARIES})
ENDIF( ENABLE_WEBCAM )

IF( KSANE_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${KSANE_LIBRARY})
ENDIF( KSANE_FOUND )

INSTALL( TARGETS tellico ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

INSTALL(FILES   tellicorc DESTINATION ${CONFIG_INSTALL_DIR} )
INSTALL(FILES   tellicoui.rc DESTINATION ${TELLICO_DATA_INSTALL_DIR} )

=== xslt/CMakeLists.txt ===
ADD_SUBDIRECTORY( entry-templates )
ADD_SUBDIRECTORY( report-templates )

########### install files ###############

SET(XSLT_FILES
    amazon2tellico.xsl
    arxiv2tellico.xsl
    bluray-logo.png
    cassette-logo.png
    cd-logo.png
    crossref2tellico.xsl
    delicious2tellico.xsl
    discogs2tellico.xsl
    dvd-logo.png
    gcstar2tellico.xsl
    hddvd-logo.png
    isbndb2tellico.xsl
    MARC21slim2MODS3.xsl
    MARC21slimUtils.xsl
    mods2tellico.xsl
    pubmed2tellico.xsl
    record-logo.png
    referencer2tellico.xsl
    shadowAlpha.png
    srw2tellico.xsl
    tellico2gcstar.xsl
    tellico2html.js
    tellico2html.xsl
    tellico2onix.xsl
    tellico-by-author.xsl
    tellico-by-title.xsl
    tellico-common.xsl
    tellico-printing.xsl
    UNIMARC2MODS3.xsl
    vhs-logo.png
    welcome.html
    winecom2tellico.xsl
    xmp2tellico.xsl
    yahoo2tellico.xsl
    )

INSTALL(FILES ${XSLT_FILES} DESTINATION ${TELLICO_DATA_INSTALL_DIR} )

=== src/fetch/CMakeLists.txt ===
ADD_SUBDIRECTORY( scripts )

########### next target ###############

SET(fetch_STAT_SRCS
   amazonfetcher.cpp
   amazonrequest.cpp
   animenfofetcher.cpp
   arxivfetcher.cpp
   bibsonomyfetcher.cpp
   citebasefetcher.cpp
   configwidget.cpp
   crossreffetcher.cpp
   discogsfetcher.cpp
   entrezfetcher.cpp
   execexternalfetcher.cpp
   fetcher.cpp
   fetcherjob.cpp
   fetchmanager.cpp
   fetchresult.cpp
   gcstarpluginfetcher.cpp
   googlescholarfetcher.cpp
   hmac_sha2.c
   ibsfetcher.cpp
   imdbfetcher.cpp
   isbndbfetcher.cpp
   messagehandler.cpp
   sha2.c
   srufetcher.cpp
   winecomfetcher.cpp
   yahoofetcher.cpp
   z3950connection.cpp
   z3950fetcher.cpp
   )

KDE4_ADD_LIBRARY(fetch STATIC ${fetch_STAT_SRCS})

########### install files ###############

INSTALL(FILES   z3950-servers.cfg DESTINATION ${TELLICO_DATA_INSTALL_DIR} )

=== src/images/CMakeLists.txt ===
SET(images_STAT_SRCS
   image.cpp
   imagedirectory.cpp
   imagefactory.cpp
   imageinfo.cpp
   )

KDE4_ADD_LIBRARY(images STATIC ${images_STAT_SRCS})
# the following linking seems to be necessary for the KDE build dashboard to succeed
TARGET_LINK_LIBRARIES(images
    ${QIMAGEBLITZ_LIBRARIES}
    ${KDE4_KIO_LIBS}
)

ADD_DEPENDENCIES(images tellico_config)

=== src/tests/CMakeLists.txt ===
SET( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

# formattest includes fieldformat that include core/tellico_config.h
# which is generated in the build directory
INCLUDE_DIRECTORIES( ${Tellico_BINARY_DIR}/src )

KDE4_ADD_UNIT_TEST(entitytest NOGUI entitytest.cpp ../tellico_utils.cpp)
TARGET_LINK_LIBRARIES(entitytest ${KDE4_KDECORE_LIBS}  ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(cuecattest NOGUI cuecattest.cpp)
TARGET_LINK_LIBRARIES(cuecattest utils ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(isbntest NOGUI isbntest.cpp)
TARGET_LINK_LIBRARIES(isbntest utils ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(lccntest NOGUI lccntest.cpp)
TARGET_LINK_LIBRARIES(lccntest utils ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(lcctest NOGUI lcctest.cpp ../fieldformat.cpp)
TARGET_LINK_LIBRARIES(lcctest utils core ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(csvtest NOGUI csvtest.cpp ../translators/csvparser.cpp)
TARGET_LINK_LIBRARIES(csvtest csv ${QT_AND_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(formattest NOGUI formattest.cpp ../fieldformat.cpp)
TARGET_LINK_LIBRARIES(formattest core ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(fieldtest NOGUI fieldtest.cpp ../field.cpp ../fieldformat.cpp ../tellico_utils.cpp)
TARGET_LINK_LIBRARIES(fieldtest core ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

SET(tellicotest_SRCS
   ../collection.cpp
   ../entry.cpp
   ../entrygroup.cpp
   ../entrycomparison.cpp
   ../field.cpp
   ../fieldformat.cpp
   ../filter.cpp
   ../borrower.cpp
   ../collectionfactory.cpp
   ../tellico_utils.cpp
   ../derivedvalue.cpp
   ../document.cpp
   ../progressmanager.cpp
   )

KDE4_ADD_LIBRARY(tellicotest STATIC ${tellicotest_SRCS})

ADD_DEPENDENCIES(tellicotest tellico_config)

set(TELLICO_TEST_LIBS
   ${QT_AND_KDECORE_LIBS}
   ${QT_QTTEST_LIBRARY}
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
   ${QIMAGEBLITZ_LIBRARIES}
   ${LIBXML2_LIBRARIES}
   ${LIBXSLT_LIBRARIES}
   ${LIBEXSLT_LIBRARIES}
   tellicotest
   collections
   translators
   utils
   core
   images
   core
   gui
   tellicotest
   )

# for some of these, the libraries seem to require being repeated so
# that the order of linking works...no idea why...
KDE4_ADD_UNIT_TEST(collectiontest NOGUI collectiontest.cpp)
TARGET_LINK_LIBRARIES(collectiontest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(alexandriatest NOGUI alexandriatest.cpp ../progressmanager.cpp)
TARGET_LINK_LIBRARIES(alexandriatest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(amctest NOGUI amctest.cpp)
TARGET_LINK_LIBRARIES(amctest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(bibtextest NOGUI bibtextest.cpp)
TARGET_LINK_LIBRARIES(bibtextest ${TELLICO_TEST_LIBS} btparse)

KDE4_ADD_UNIT_TEST(bibtexmltest NOGUI bibtexmltest.cpp)
TARGET_LINK_LIBRARIES(bibtexmltest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(gcstartest NOGUI gcstartest.cpp)
TARGET_LINK_LIBRARIES(gcstartest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(referencertest NOGUI referencertest.cpp)
TARGET_LINK_LIBRARIES(referencertest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(ristest NOGUI ristest.cpp)
TARGET_LINK_LIBRARIES(ristest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(tellicoreadtest NOGUI tellicoreadtest.cpp)
TARGET_LINK_LIBRARIES(tellicoreadtest models ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(arxivfetchertest NOGUI arxivfetchertest.cpp)
TARGET_LINK_LIBRARIES(arxivfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(citebasefetchertest NOGUI citebasefetchertest.cpp)
TARGET_LINK_LIBRARIES(citebasefetchertest fetch ${TELLICO_TEST_LIBS} btparse)

KDE4_ADD_UNIT_TEST(googlescholarfetchertest NOGUI googlescholarfetchertest.cpp)
TARGET_LINK_LIBRARIES(googlescholarfetchertest fetch ${TELLICO_TEST_LIBS} btparse)

KDE4_ADD_UNIT_TEST(imdbfetchertest NOGUI imdbfetchertest.cpp)
TARGET_LINK_LIBRARIES(imdbfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(srufetchertest NOGUI srufetchertest.cpp)
TARGET_LINK_LIBRARIES(srufetchertest fetch ${TELLICO_TEST_LIBS})

IF( YAZ_FOUND )
    KDE4_ADD_UNIT_TEST(z3950fetchertest NOGUI z3950fetchertest.cpp)
    TARGET_LINK_LIBRARIES(z3950fetchertest fetch ${TELLICO_TEST_LIBS} ${YAZ_LIBRARIES})
ENDIF( YAZ_FOUND )

#KDE4_ADD_UNIT_TEST(entryupdatejobtest NOGUI entryupdatejobtest.cpp ../entryupdatejob.cpp ../entrymerger.cpp)
#TARGET_LINK_LIBRARIES(entryupdatejobtest fetch translators ${TELLICO_TEST_LIBS})

=== src/translators/CMakeLists.txt ===

########### next target ###############

SET(translators_STAT_SRCS
   alexandriaexporter.cpp
   alexandriaimporter.cpp
   amcimporter.cpp
   audiofileimporter.cpp
   bibtexexporter.cpp
   bibtexhandler.cpp
   bibteximporter.cpp
   bibtexmlexporter.cpp
   bibtexmlimporter.cpp
   csvexporter.cpp
   csvimporter.cpp
   csvparser.cpp
   dataimporter.cpp
   deliciousimporter.cpp
   exporter.cpp
   filelistingimporter.cpp
   freedb_util.cpp
   freedbimporter.cpp
   gcstarexporter.cpp
   gcstarimporter.cpp
   griffithimporter.cpp
   grs1importer.cpp
   htmlexporter.cpp
   importer.cpp
   onixexporter.cpp
   pdfimporter.cpp
   pilotdbexporter.cpp
   referencerimporter.cpp
   risimporter.cpp
   tellico_xml.cpp
   tellicoimporter.cpp
   tellicoxmlexporter.cpp
   tellicoxmlhandler.cpp
   tellicozipexporter.cpp
   textimporter.cpp
   xmlimporter.cpp
   xmlstatehandler.cpp
   xmphandler.cpp
   xsltexporter.cpp
   xslthandler.cpp
   xsltimporter.cpp
   )

KDE4_ADD_LIBRARY(translators STATIC ${translators_STAT_SRCS})
TARGET_LINK_LIBRARIES(translators
    collections
    models
    )

TARGET_LINK_LIBRARIES(translators
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${LIBEXSLT_LIBRARIES}
    )

ADD_DEPENDENCIES(translators tellico_config)

########### install files ###############

INSTALL(PROGRAMS   griffith2tellico.py DESTINATION ${TELLICO_DATA_INSTALL_DIR} )
INSTALL(FILES   bibtex-translation.xml DESTINATION ${TELLICO_DATA_INSTALL_DIR} )

=== src/utils/CMakeLists.txt ===
########### next target ###############

SET(utils_STAT_SRCS
   calendarhandler.cpp
   fieldcomparison.cpp
   iso5426converter.cpp
   iso6937converter.cpp
   isbnvalidator.cpp
   lccnvalidator.cpp
   stringcomparison.cpp
   upcvalidator.cpp
   )

KDE4_ADD_LIBRARY(utils STATIC ${utils_STAT_SRCS})

=== debian/changelog ===
tellico (2.1.1-2ubuntu1) lucid; urgency=low

  * Re-sync with Debian testing (LP: #434372).
  * Install the HTML documentation under usr/share/doc/kde4/HTML.
  * Remove dead symlink from all translated docs.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 18 Dec 2009 09:39:56 +0100

tellico (2.1.1-2) unstable; urgency=low

  * Disable webcam support if libv4l is not present, fixing FTBFS on
    kfreebsd (Closes: #559731).
  * Add missing Build-depend on libksane-dev. 

 -- Regis Boudin <regis@debian.org>  Sun, 06 Dec 2009 18:11:51 +0000

tellico (2.1.1-1) unstable; urgency=low

  * New upstream release. Fixes loss of loans and advance filters
    (Closes: #557227, #558736).

 -- Regis Boudin <regis@debian.org>  Sat, 05 Dec 2009 12:35:08 +0000

tellico (2.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to package format 3.0 with quilt.
  * Actually enable webcam when building.

 -- Regis Boudin <regis@debian.org>  Thu, 05 Nov 2009 19:00:06 +0000

tellico (2.0-2) unstable; urgency=low

  * Build-Depend on libv4l-dev except on non-linux architectures, to enable
    webcam support.

 -- Regis Boudin <regis@debian.org>  Wed, 30 Sep 2009 00:22:17 +0100

tellico (2.0-1) unstable; urgency=low

  * New upstream release. (Closes: #547935).
  * This version is now a KDE4 application. Update build-dependencies
    accordingly.
  * Stop calling deprecated dh_desktop, which is unnecessary now.

 -- Regis Boudin <regis@debian.org>  Thu, 24 Sep 2009 00:05:45 +0100

tellico (1.3.5-1ubuntu2) karmic; urgency=low

  * src/translators/pilotdb/libflatfile/DB.cpp: declare pointer as const
    to fix FTBFS (LP: #448697).

 -- Ilya Barygin <barygin@gmail.com>  Sun, 11 Oct 2009 17:26:51 +0400

tellico (1.3.5-1ubuntu1) jaunty; urgency=low

  [ Fabrice Coutadeur ]
  * Merge from Debian unstable (LP: #330392). Remaining Ubuntu changes:
    - debian/rules: delete libtool and config.log files in the cleaning part
  * Upstream 1.3.5 also fix LP: #317822.
  * debian/rules: added option --without-arts to get rid of arts library,
    otherwise it FTBFS.

  [ Alessio Treglia ]
  * tellico Recommends khelpecenter4 instead of khelpcenter.

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Sun, 15 Feb 2009 23:33:01 +0100

tellico (1.3.3-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Building without kdemultimedia-dev and libkcal2-dev
    - debian/rules: delete libtool and config.log files in the cleaning part
    - Drop khelpcenter recommends, as it no longer exists in intrepid

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 08 Dec 2008 12:47:14 +1100

tellico (1.3.2.1-1ubuntu1) intrepid; urgency=low

  [ Fabrice Coutadeur ]
  * debian/control: Building without kdemultimedia-dev and libkcal2-dev
  * debian/rules: delete libtool and config.log files in the cleaning part
  * Close LP: #264168

  [ Sarah Hobbs ]
  * Drop khelpcenter recommends, as it no longer exists in intrepid

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 27 Sep 2008 23:52:00 +1000

tellico (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * Recommend khelpcenter for acces to the help (Closes: #478975).

 -- Regis Boudin <regis@debian.org>  Fri, 23 May 2008 21:28:59 +0100

tellico (1.3.1-2) unstable; urgency=low

  * Move the import scripts to a separate package, tellico-scripts, which can
    be updated through debian-volatile (Closes: #457949).
  * Build-depend on libyaz3-dev instead of libyaz2-dev, to use the new yaz.
  * Stop suggesting python2.4, and make the guilty script use straight python
    (Closes: #472741).

 -- Regis Boudin <regis@debian.org>  Mon, 21 Apr 2008 10:38:57 +0100

tellico (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Now that dh_icons is a complete feature, call it (Closes: #464590)
  * Re-generate the manpage, to make lintian happy. Plus, it was outdated.

 -- Regis Boudin <regis@debian.org>  Sat, 15 Mar 2008 16:55:42 +0000

tellico (1.3-1) unstable; urgency=low

  * New complete upstream release, going to unstable this time. Only includes
    minor code changes and documentation update since the pre3 release.
  * Enable new barcore reading through webcam with --enable-webcam.

 -- Regis Boudin <regis@debian.org>  Wed, 30 Jan 2008 14:17:07 +0000

tellico (1.3~pre3-1) experimental; urgency=low

  * New upstream pre-release, upload to experimental. This release is brand
    new and might break things. Back up you data !
    + Includes support for pdf files. Add libpoppler-qt-dev and libexempi-dev
      to build-depends to enable it.
  * Add svg icons to the xdg mimetypes. Remove hack to rename mimetypes icons,
    The change is now included upstream.
  * Suggest ruby for more import scripts.
  * Call dh_installmime specifically for tellico-data to call
    update-mime-database in postinst and postrm.
  * Call dh_desktop in the tellico binary package to update the desktop
    database.

 -- Regis Boudin <regis@debian.org>  Sun, 13 Jan 2008 18:16:45 +0000

tellico (1.2.14-1) unstable; urgency=low

  * New upstream release. Mainly bugfixes and translation updates. Includes
    an updated German translation (Closes: #425968, #445879).
  * Check for the existence of Makefile before calling distclean.
  * Build-depend on debhelper (>> 5.0.0).
  * Switch to the new Debian menu hierarchy, move to Applications/Office.
  * Move tellico.desktop to the tellico package, so it can find the program.
  * Add a sharedmimeinfo file to tellico-data for the application/x-tellico
    mimetype.
  * Rename the mimetype icons to application-x-tellico so Gnome can use them.
  * Use the new Homepage and Vcs-Svn fields.
  * Bump Standards-Version to 3.7.3.0.
  * Apply some minor modifications to tellico.desktop to comply with the
    freedesktop specs.

 -- Regis Boudin <regis@debian.org>  Sun, 23 Sep 2007 11:06:54 +0100

tellico (1.2.11-1) unstable; urgency=low

  * New upstream release (Closes: #402275, #422792). Also add a watch file


=== debian/control ===
Source: tellico
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
Build-Depends: debhelper (>= 5.0.51~), pkg-kde-tools, kdelibs5-dev, libxml2-dev, libxslt1-dev, libtag1-dev, libyaz3-dev, libkcddb-dev, kdepimlibs5-dev, libpoppler-qt4-dev, libexempi-dev, libqimageblitz-dev, libksane-dev, libv4l-dev | not+linux-gnu
Standards-Version: 3.8.3
Homepage: http://tellico-project.org/
Vcs-Svn: svn://anonsvn.kde.org/home/kde/trunk/extragear/office/tellico

Package: tellico
Replaces: tellico-data (<= 1.2.14-1)
Architecture: any
Depends: tellico-data (= ${source:Version}), tellico-scripts, ${shlibs:Depends}
Recommends: khelpcenter4
Description: collection manager for books, videos, music
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.

Package: tellico-data
Architecture: all
Conflicts: tellico (<< 1.1.6-1)
Replaces: tellico (<< 1.1.6-1)
Depends: kdelibs5-data
Recommends: tellico
Suggests: python
Description: collection manager for books, videos, music [data]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.
 .
 This package contains the architecture independent files, such data files and
 documentation.

Package: tellico-scripts
Architecture: all
Conflicts: tellico-data (<= 1.3.1-2)
Replaces: tellico-data (<= 1.3.1-2)
Recommends: tellico
Suggests: python, ruby
Description: collection manager for books, videos, music [scripts]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.
 .
 This package contains the scripts to import data from external sources, such
 as websites. As the format of the data may change, these scripts are provided
 as a separate package which can be updated through debian-volatile.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_KDE_LINK_WITH_AS_NEEDED = yes

include /usr/share/pkg-kde-tools/makefiles/1/variables.mk

build_dir = builds/debbuild

${build_dir}:
	dh_testdir

	mkdir -p ${build_dir}
	# Add here commands to configure the package.
	cd ${build_dir} && \
		cmake $(CURDIR) \
		$(DEB_CMAKE_KDE4_FLAGS) \
		$(DEB_CMAKE_CUSTOM_FLAGS) \
		-DENABLE_WEBCAM=true \
		-DCMAKE_INSTALL_PREFIX="/usr"

configure: ${build_dir}

build: build-stamp

build-stamp:${build_dir} 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C ${build_dir} VERBOSE=1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -d ${build_dir} ] || rm -rf ${build_dir}


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tellico.
	$(MAKE) -C ${build_dir} install DESTDIR=$(CURDIR)/debian/tmp

	# Remove  dead symlink from French translation
	rm debian/tmp/usr/share/doc/kde/HTML/*/tellico/common


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installmime -ptellico-data
	dh_installchangelogs -i ChangeLog
	dh_icons -i
	dh_installdocs -i
	dh_link -i
	dh_compress -i -Xkde
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples
	dh_install -a
	dh_installmenu
	dh_installman -a debian/tellico.1x
	dh_link -a
	dh_strip
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: configure build clean binary-indep binary-arch binary install
